Bug 299422 - Akonadi failed to set SEEN flag and move letters with (at least) imap and git resources.
Summary: Akonadi failed to set SEEN flag and move letters with (at least) imap and git...
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR major with 76 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-05 07:05 UTC by Vadim A. Misbakh-Soloviov (mva)
Modified: 2016-09-25 11:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadim A. Misbakh-Soloviov (mva) 2012-05-05 07:05:25 UTC
I have using about 7 imap resources with different accounts on differenct servers. It is GMail, Yandex, and my own server.
Also, I have using few Git resources to monitor commits on some projects.
I have noticed, that when I mark e-mails as read and wait some time, while akonadi sync collection with remote server — emails comes unread again.
Almost same thing appears when I move spam or not needed emails to trash (via Kmail, for example): it moves them, but when it syncs they appears again as unselectable (and with inactive gray color).
Previously, when I saw such behavior on akonadi — I think that it is Yandex's IMAP server bug, but then I encountered this behavior even on GMail and on my own server. Then I still believed, that this can be server-side bug (but all was okay with other imap-clients, so I start blame akonadi).
But yesterday I discovered, that akonadi has same issue on Git resource: I've marked commits as read => akonasi syncs collection => they appears as unread again.
As far as I know — git resource has only *local* storage for that and it is impossible to receive "unseen" from external server. So, now I have absolutely sure that it is akonadi bug.

Reproducible: Sometimes




P.S. I selected "major feature is broken" severity since it is absolutely impossible to use KMail/Kontact when such behavior appears.
Comment 1 Yuriy Vidineev 2012-05-05 07:20:28 UTC
i have the same issue with yandex (http://mail.yandex.com/) imap (akonadi-server 1.7.2, kubuntu 12.04)
Comment 2 Vadim A. Misbakh-Soloviov (mva) 2012-05-05 07:31:55 UTC
Uh, yep, akonadi-server 1.7.2, KDE 4.8.2.
And, btw, this issue appeared for me even on kde 4.7.*
Comment 3 Sergey Fionov 2012-05-05 19:53:29 UTC
*** This bug has been confirmed by popular vote. ***
Comment 4 Vadim A. Misbakh-Soloviov (mva) 2012-08-02 11:27:10 UTC
any devs reading kdepim-bugs? :(
Bug is still in 4.9 :(
Comment 5 Hans-Peter Jansen 2014-01-21 10:32:53 UTC
I can confirm this issue with my cyrus imap servers. I'm subscribed to some high volume mailing lists (e.g. LKML). After a bigger number of unread mails pile up (a few thousand), it is impossible to set the seen flag on all. When you attempt this in that imap folder context menu, seen state is set on all mails in kmail UI after a while, but load persists on a very high level (usually, akonadi saturates two cores with mysql instances most of the time), then it's 4 at least. After the next mailbox scan, all messages reappear as unseen.

Needless to say, that I have to use the thunderbird mail client to fix that issue.
Comment 6 Hans-Peter Jansen 2014-01-21 10:38:13 UTC
Sorry: kmail 4.11.4 on openSUSE 13.1 x86_64
Comment 7 Daniel Vrátil 2014-01-21 13:40:07 UTC
What version of Akonadi do you have? (akonadictl --version).

If you can start Akonadi from console (akonadictl restart), do you see any warnings or errors when you try to reproduce this?
Comment 8 Hans-Peter Jansen 2014-11-22 23:42:00 UTC
Sorry Daniel, I must have missed your questions.

> What version of Akonadi do you have? (akonadictl --version). 

Still valid with: 1.13.0

> If you can start Akonadi from console (akonadictl restart), do you see any warnings or errors when you try to reproduce this?

Well, I always use the sequence: akonadictl stop; wait for all processes to terminate 
e.g. ps auxww | egrep  "akonadi|mysql|nepomuk|virtuoso|kmail" | grep -v grep
and akonadictl start

In that process, a lot of messages appear, but nothing stands out. 

Meanwhile, I found a trick, since thunderbird takes ages to read big mailboxes, I use akonadiconsole to "Clear Akonadi Cache" on that folder. It does the trick.

I also harvested variations on the theme: set seen flag on a folder with TB, wait for finishing, but kmail keeps showing them as unread! No operation under kmail (reread folder, set folder seen) is able to solve this problem. Therefor akonadiconsole is really necessary in order to use kmail successfully in a big setting.
Comment 9 Hans-Peter Jansen 2014-11-22 23:42:42 UTC
Sorry: KDE 4.14.3 (still openSUSE 13.1)
Comment 10 Denis Kurz 2016-09-24 20:45:06 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 11 Vadim A. Misbakh-Soloviov (mva) 2016-09-25 11:35:38 UTC
Since there is no git resource, that ported to KF5 anymore, I can test only on IMAP.

And, as far as I can see, it working pretty fine for now.

Although, when I reported that buf I had something about 200k+ letters in Inbox and something about 30-70k in some another folders. Since then I already archived many of that mail. And with current amounts I don't experience that bug anymore.